﻿using Avalonia;
using Avalonia.Controls;
using Avalonia.Controls.Shapes;
using Avalonia.Media;
using Avalonia.Threading;
using Culusas.Models;
using Culusas.Views;
using ReactiveUI;
using System;
using System.Drawing.Drawing2D;
using System.Drawing.Printing;
using static System.Net.Mime.MediaTypeNames;

namespace Culusas.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        UserControl user = new Autorizahon();
        public UserControl US
        {
            get => user;
            set => this.RaiseAndSetIfChanged(ref user, value);
        }
        AutorizahonPagesViewModel autorixVM = new AutorizahonPagesViewModel();
        public AutorizahonPagesViewModel AutorixVM { get => autorixVM; set => autorixVM = value; }

        public void Autorixis()
        {
            US = new Autorizahon();
        }

        public CululViewModel cululVM = new CululViewModel();
        public CululViewModel CululVM { get => cululVM; set => cululVM = value; }

        public void NextCui()
        {
            if (AutorixVM.NextCulucu())
            {
                US = new Culuculator();
            }
        }
    }

}

